
<?php
  $Users = file($UsersDatabase);
  if(count($_POST) == 0)
  {
    $Pos = $_GET['pos'];
    $InitPos = $_GET['initpos'];
    $Login = $Users[$Pos];
    $Email = $Users[($Pos+1)];
  } else
  {
    $Pos = $_POST['pos'];
    $Login = $_POST['login'];
    $Email = $_POST['email'];
    $InitPos = $_POST['initpos'];
    //проверяем ввод пользователя
    include('_form_addnewuser_correct.inc');
    if(empty($Errors))
    {
    	$Users[$Pos] = $Login."\n";
	    $Users[($Pos+1)] = $Email."\n";
	    $UsersStr = implode('', $Users);
	    $Message = SaveStringInFile($UsersDatabase, $UsersStr, 'w');
      if($Message == '')
        Refresh("pollusersdata&initpos={$InitPos}");
    }

  }
  if(trim($Email) == 'no')
      $Email = '';
  print "<h4>База участников</h4>";
  print "<h5>Редактировать данные о пользователе</h5>";
  //выводим форму
  print "<form action='' method=post>";
  //Выводим ошибки
  ShowErrors($Errors);
  //Выводим информацию
  ShowMessage($Message);
  include('_form_addnewuser.inc');
  print "<input type=hidden name=pos value='{$Pos}'>";
   print "<input type=hidden name=initpos value='{$InitPos}'>";
  print "</form>";
?>